{
  pkgs,
  lib,
  config,
  inputs,
  ...
}:
let
  system = pkgs.stdenv.system;
in
{
  # https://devenv.sh/basics/
  packages = with pkgs; [ tailwindcss_4 ];

  # https://devenv.sh/languages/
  languages.zig = {
    enable = true;
    package = inputs.zig-overlay.packages.${system}."0.14.0";
    zls.package = inputs.zls.packages.${system}.default;
  };

  # https://devenv.sh/processes/
  # processes.cargo-watch.exec = "cargo-watch";

  # https://devenv.sh/services/
  # services.postgres.enable = true;

  # https://devenv.sh/tasks/
  # tasks = {
  #   "myproj:setup".exec = "mytool build";
  #   "devenv:enterShell".after = [ "myproj:setup" ];
  # };

  # https://devenv.sh/tests/

  # https://devenv.sh/git-hooks/
  # git-hooks.hooks.shellcheck.enable = true;

  # See full reference at https://devenv.sh/reference/options/
}
